Skip to main content
POST
Autodispatch job by external identifier
For a given job, you can set up automatic dispatch by creating Dispatch Strategies. In a checkout experience, you often create a job first so you can show delivery quotes to your customer. Once the customer places the order, call this endpoint to dispatch the job using the Dispatch Strategy attached to it — instead of selecting a quote yourself. To autodispatch a job, the job must have a Dispatch Strategy attached, with a provider selection strategy configured.

How autodispatch selects a quote

When you call /autodispatch, Nash selects the quote tagged autodispatch_preferred_quote. Use this tag to know which price to display to your customer at checkout. You can read the full list of quotes at create_job_response["jobConfigurations"][0]["advancedTask"]["quotes"] and filter for the one with "autodispatch_preferred_quote" in quote.tags.
Make sure Enable Autodispatch is switched off on the Dispatch Strategy you are using to autodispatch the job.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

externalIdentifier
string
required

job external identifier

Response

OK

Expected output from autodispatch job endpoint.

job
ReturnedJobMixin · object
required

A Nash Job.